Developers

List Credit history

GET
/credits/history

Grants, consumption and refunds, newest first. credits is signed: + for a grant, - for consumption.

Authorization

headerAuthorizationBearer <token>

An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100

Response Body

Success.

application/json
  1. response
items*array<>
next_cursor*string|null
Example request
curl -X GET 'https://ximagesplitter.com/api/v1/credits/history'
Example response
{
  "items": [
    {
      "transactionNo": "string",
      "transactionType": "consume",
      "source": {
        "kind": "purchase",
        "product": {
          "kind": "plan",
          "offerId": "string",
          "planId": "starter",
          "billingCycle": "monthly"
        }
      },
      "refundedAt": "2019-08-24T14:15:22Z",
      "credits": "string",
      "activatesAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}